--mounting 3d model paths and texture paths 

mount_vfs_model_path	(current_mod_path.."/Shapes")
mount_vfs_liveries_path (current_mod_path.."/Liveries")

mount_vfs_texture_path  (current_mod_path.."/Textures")
mount_vfs_sound_path   (current_mod_path.."/Sounds")






 
J_16A =  {
        
	Name 							=   'J-16A',
	DisplayName				= _('J-16A'),
	Countries						= {"China"},
	Cannon 						= "yes",
	HumanCockpit 			= true,
	HumanCockpitPath    	= current_mod_path..'/Cockpit/Scripts/',--current_mod_path..'/Cockpit/
	EmptyWeight	 			= "14500", 
    MaxTakeOffWeight 		= "33000", 
    MaxFuelWeight 			= "9400",
    MaxHeight 					= "18500", 
   	MaxSpeed 					= "2500", 
	Picture 						= "J-16A.png",
	Rate 							= 40, -- RewardPoint in Multiplayer多人游戏中的奖励点
	Shape 							= "J-16A",
	--WorldID = J_16A,
	shape_table_data 	= 
	{
		{
			file  	 					= 'J-16A';
			life  	 					= 20; -- lifebar生命
			vis   	 					= 3; -- visibility gain.
			desrt    				= 'J-16A-oblomok'; -- Name of destroyed object file name已销毁对象的名称文件名
			fire  	 					= { 300, 2}; -- Fire on the ground after destoyed: 300sec 2m地面火灾：300秒2米
			username				= 'J-16A';
			index    				=  WSTYPE_PLACEHOLDER;
		},
		{
			name  					= "J-16A-oblomok";
			file  						= "J-16A-oblomok";
			fire  						= { 240, 2};
		},

	},
	mapclasskey 				= "P0091000024",
	attribute  						= {wsType_Air, wsType_Airplane, wsType_Fighter, J_16A, "Multirole fighters", "Refuelable",},
	Categories					= {"{78EFB7A2-FD52-4b57-A6A6-3BF0E1D6555F}", "Interceptor",},
	-------------------------
    M_empty									=	14500, -- kg空重
	M_nominal								=	24000, -- kg ~ %50 fuel, combat load--千克~%50燃料，战斗负荷
	M_max										=	40000, -- kg   最大重量
	M_fuel_max								=	15000, -- kg  最大燃料
	H_max										=	18500, -- 最大高度
	average_fuel_consumption		=	0.01, -- 平均燃料消耗
	CAS_min									=	58,
	V_opt										=	170, -- 巡航m/s（用于AI）M0.8@20000英尺
	V_take_off								=	65, -- 起飞速度m/s（AI）〜190 kts
	V_land										=	65, -- 以m/s为单位的土地速度（AI）〜220 kts
	V_max_sea_level						=	403, -- 以m/s（对于AI）〜1.2马赫为单位的海平面最大速度
	V_max_h									=	694.7, -- 以m/s（对于AI）〜2.2mach@36000'=1262kts=649m/s为单位的最大高度速度
	Vy_max									=	325, -- 以m/s为单位的最大爬升速度（对于AI）〜400 kts TAS@10000'
	Mach_max								=	2.9, -- 马赫最大速度（对于AI）
	Ny_min									=	-3, -- 最小G值 (用于 AI)
	Ny_max									=	8, -- 最大G值 (用于 AI)
	Ny_max_e								=	7.5, -- 最大G值 (用于 AI)
	AOA_take_off							=	0.17, -- 起飞AoA（用于AI）
	bank_angle_max						=	60, -- 最大滚转角度（对于AI）
	
	
	has_afteburner							=	true, -- 是由拥有加力燃烧室
	has_speedbrake						=	true, -- 是否拥有减速板
	nose_gear_pos 						= 	{2.081,   -1.875, -0.002}, -- 前起落架坐标
    main_gear_pos 						= 	{-2.8,  -1.875, 1.973}, -- 主起落架坐标
	tand_gear_max							=	0.466, --+/-25度
	tanker_type								=	4, -- 如果飞机能够进行空中加油，则选择加油机类型
	wing_area									=  42.2, --机翼面积（m2）
	wing_span								=	12.8, -- 机翼跨度
	wing_type 								= 	0, --2 FIXED_WING = 0/VARIABLE_GEOMETRY = 1/FOLDED_WING = 2/ARIABLE_GEOMETRY_FOLDED = 3
													-- 固定翼 = 0 / 可变几何 = 1 / 折叠机翼 = 2 / 可变的几何体折叠翼 = 3
	thrust_sum_max						=	15200, -- 推力（单位：kg）   推力总和最大值
	thrust_sum_ab							=	25000, 
	length										=	21, -- 全长（m）
	height										=	6.22, -- 高度（m）
	flaps_maneuver						=	1.0, -- 起飞和机动时的最大襟翼（0.5=第一级；1.0=第二级）（用于AI）
	range										=	3740, -- 最大范围（以公里为单位）（适用于AI）
	RCS											=	0.5, -- 雷达散射截面
	IR_emission_coeff						=	1, -- 红外发射系数 普通发动机IR_emission_coeff = 1是没有加力的苏-27。这是参考。
	IR_emission_coeff_ab				=	5, -- 加力燃烧室
	wing_tip_pos 							= 	{-5.322, 0.134, 6.269},  --(前后，上下，左右) -- 翼尖坐标，提供视觉效果
	nose_gear_wheel_diameter 		= 	0.537, -- 前齿轮直径 单位：m
    main_gear_wheel_diameter 		= 	0.847, -- 主齿轮直径 单位：m
	brakeshute_name						=	3, -- 着陆-分离后制动滑槽的视觉形状
	is_tanker									=	false, --油 是/否  好像说是否是加油机
	--air_refuel_receptacle_pos 			= {0,0,0.00}, -- 加油的坐标  前后 上下，左右
	
	engines_count							=	2, -- 引擎数量
	engines_nozzles = 
	{
		[1] = 
		{
			pos 	 										=  {-7.441, -0.289,1.089}, --右发坐标
			elevation   								=  0, -- 加力燃烧室锥体高度（火焰上升时为正值） 不知道是什么效果
			diameter	 								= 	0.96, --马赫环直径
			exhaust_length_ab   				= 	9.0, --长度（m）
			exhaust_length_ab_K 				= 	0.629, --动画   马赫环动画
			smokiness_level 						= 	0.1, --烟  烟雾浓度
			afterburner_effect_texture 		= "afterburner_J20", -- 马赫环贴图
		}, 
        [2] = 
		{
			pos 											=  {-7.441,-0.289,-1.091}, --左发坐标
			elevation   								=  0, -- 加力燃烧室锥体高度（火焰上升时为正值） 不知道是什么效果
			diameter	 								= 	0.96,  --马赫环直径
			exhaust_length_ab   				= 	9.0, --长度（m）
			exhaust_length_ab_K 				= 	0.629, --动画   马赫环动画
			smokiness_level 						= 	0.1,--烟  烟雾浓度
			afterburner_effect_texture 		= "afterburner_J20", -- 马赫环贴图
		}, 
	},
	
	crew_size					=	1, -- 驾驶员人数
	crew_members = 
	{
		[1] = 
		{
			ejection_seat_name			=	9, -- 弹射座椅名称
			-- drop_canopy_name		=	35,
			drop_canopy_name			=	'J-16A-CANOPY', --顶棚名称
			pos 									= 	{5.64,0.944,0}, --位置坐标
		}, -- end of [1]
	}, -- end of crew_members

		fires_pos = 
		{
			[1] = 	{-1.351,	0.256,	   	0},
			[2] = 	{-1.981,	0.249,		1.16},
			[3] = 	{-1.981,	0.249,		-1.16},
			[4] = 	{-2.32,		0.0245,		2.074},
			[5] = 	{-2.32,		0.0245,		-2.074},
			[6] = 	{-2.82,		-0.255,		3.574},
			[7] = 	{-2.82,		-0.255,		-3.574},
			[8] = 	{-6.5,		0.2051,		0.}, 
			[9] = 	{-6.5,		0.251,		-0.},
		}, -- end of fires_pos
	
	
		

	
	nose_gear_amortizer_direct_stroke					= 	0, -- 从机头齿轮位置向下！！！前起落架缓冲直接行程
	nose_gear_amortizer_reversal_stroke				= 	-0.150293, -- 向上 前齿轮减速器反向行程
	nose_gear_amortizer_normal_weight_stroke		= 	-0.14, -- 从前起落架位置向下  前起落架正常重量行程

	main_gear_amortizer_direct_stroke					=	0.,	--从主齿轮位置降下！！！  主减速器直接行程
	main_gear_amortizer_reversal_stroke				= 	-0.164258, -- 向上  主减速器反转行程
	main_gear_amortizer_normal_weight_stroke		= 	-0.150,	--从主齿轮位置向下 主齿轮缓冲器正常重量行程
	
	stores_number				=	10, -- 编号
		
		
	   Countermeasures 		= {   -- 对抗措施
       ECM = "AN/ALQ-165"
       },


	
		passivCounterm = { -- 被动计数器
		CMDS_Edit = true,
		SingleChargeTotal = 5000,
		chaff = {default = 2500, increment = 100, chargeSz = 1},
		flare = {default = 2500,  increment = 100, chargeSz = 1},
	},

	chaff_flare_dispenser 	= {
		{ dir =  {-1, 0, -0.1}, pos =  {-5.0,  0.3, -0.78}, }, -- Flares 
		{ dir =  {-1, 0,  0.1}, pos =  {-5.0,  0.3,  0.78}, }, -- Flares 
	},

		
		
        LandRWCategories =  --地面RW类别
        {
            [1] = 
            {
                Name = "AircraftCarrier",
            }, -- end of [1]
        }, -- end of LandRWCategories
              MaxFuelWeight = "6000",
              MaxHeight = "18200",
              MaxSpeed = "1920",
              MaxTakeOffWeight = "25401",
              Picture = "J-16A.png",
              Rate = "50",
              Shape = "J-16A",
			  
        TakeOffRWCategories = -- 起飞RW类别
        {
            [1] = 
            {
                Name = "AircraftCarrier With Catapult",
            }, -- end of [1]
			[2] = 
            {
				Name = "AircraftCarrier With Tramplin",
            }, -- end of [2]
        }, -- end of TakeOffRWCategories

			
	--sensors 传感器
	detection_range_max		 = 306000.0, -- 检测范围最大值
	radar_can_see_ground 	 = true, -- 雷达能看到地面
    EPLRS                    = true,	
	CanopyGeometry = {
    azimuth = {-160.0, 160.0}, -- 方位角
    elevation = {-50.0, 90.0} -- 高程
        },
--[[
    Sensors = {	
    RADAR = "AN/APG-71",
    IRST = "OLS-27",
    OPTIC = {"TADS DTV", "TADS DVO", "TADS FLIR"},
    RWR = "Abstract RWR"    
	},
]]
--[[
		Sensors 		= { -- 传感器
			RADAR 			= "AN/APG-63",--F15  雷达
			IRST 			= "OLS-27",  -- 红外搜索与跟踪
			OPTIC 			= {"TADS DTV", "TADS DVO", "TADS FLIR"},  -- 光学的
			RWR 			= "Abstract RWR" --F15  雷达告警器
		},
]]		
        Sensors = {
            RADAR           = "KLJ-7",
            RWR             = "Abstract RWR",
        },
Countermeasures = { -- 对抗措施
ECM 			= "AN/ALQ-135"--F15
},


	Failures = { -- 故障管理
			{ id = 'asc', 		label = _('ASC'), 		enable = false, hh = 0, mm = 0, mmint = 1, prob = 100 },
			{ id = 'autopilot', label = _('AUTOPILOT'), enable = false, hh = 0, mm = 0, mmint = 1, prob = 100 },
			{ id = 'hydro',  	label = _('HYDRO'), 	enable = false, hh = 0, mm = 0, mmint = 1, prob = 100 },
			{ id = 'l_engine',  label = _('L-ENGINE'), 	enable = false, hh = 0, mm = 0, mmint = 1, prob = 100 },
			{ id = 'r_engine',  label = _('R-ENGINE'), 	enable = false, hh = 0, mm = 0, mmint = 1, prob = 100 },
			{ id = 'radar',  	label = _('RADAR'), 	enable = false, hh = 0, mm = 0, mmint = 1, prob = 100 },
			{ id = 'eos',  		label = _('EOS'), 		enable = false, hh = 0, mm = 0, mmint = 1, prob = 100 },
			{ id = 'helmet',  	label = _('HELMET'), 	enable = false, hh = 0, mm = 0, mmint = 1, prob = 100 },
			{ id = 'rws',  		label = _('RWS'), 		enable = false, hh = 0, mm = 0, mmint = 1, prob = 100 },
			{ id = 'ecm',   	label = _('ECM'), 		enable = false, hh = 0, mm = 0, mmint = 1, prob = 100 },
			{ id = 'hud',  		label = _('HUD'), 		enable = false, hh = 0, mm = 0, mmint = 1, prob = 100 },
			{ id = 'mfd',  		label = _('MFD'), 		enable = false, hh = 0, mm = 0, mmint = 1, prob = 100 },		
	},
	HumanRadio = { -- 人类无线电
		frequency = 127.5,  -- Radio Freq 无线电频率
		editable = true, -- 可编辑
		minFrequency = 100.000, -- 最小频率
		maxFrequency = 156.000, -- 最大频率
		modulation = MODULATION_AM -- 调幅
	},
	mapclasskey = "P0091000024",


    Guns = {
        gun_mount('GSh_30_1', 
		{ count = 550 }, 
		
		{
                    muzzle_pos = {3.31, -0.62, -0.41},
                    elevation_initial = 2.0,
                    drop_cartridge = 203,
                    ejector_dir = {7.0 ,-1.0,0.5},
                    ejector_pos	= { -1.2, -0.1 ,  0.0},		
		}			
        ),
    },

Pylons = {
	
  	pylon(1, 1, 0, 0, 0, {use_full_connector_position=false,connector = "pylon1",arg = 309,arg_value = -1.0, FiZ = 0},
            {
                { CLSID = "{PL8}", arg_value = 0.1 },						
            }
        ),
     	pylon(2, 1, 0, 0, 0, {use_full_connector_position=false,connector = "pylon2",arg = 62,arg_value = -1.0, FiZ = 0},
            {
                { CLSID = "DIS_DF4B_YJ12", arg_value = 0.1 },
				{ CLSID = "{PLAAF_PL-10E}",		arg = 62,arg_value = 1.0, },				
                { CLSID = "DIS_DF4B_YJ12",      arg_value = 0.7, forbidden = {{station = 4, loadout = {"DIS_WMD7"}},     {station = 6, loadout = {"DIS_WMD7"}}} },
                { CLSID = "DIS_AKG_DLPOD", arg_value = 0.7, forbidden = {{station = 4, loadout = {"DIS_AKG_DLPOD"}},{station = 6, loadout = {"DIS_AKG_DLPOD"}}} },	
			    { CLSID = "{PLAAF_PL-15}", arg_value = 0.7, forbidden = {{station = 4, loadout = {"DIS_AKG_DLPOD"}},{station = 6, loadout = {"DIS_AKG_DLPOD"}}} },
                { CLSID = "DIS_SD-10", arg_value = 0.7, forbidden = {{station = 4, loadout = {"DIS_AKG_DLPOD"}},{station = 6, loadout = {"DIS_AKG_DLPOD"}}} },	
                { CLSID = "DIS_DF4B_YJ12",      arg_value = 0.7, forbidden = {{station = 4, loadout = {"DIS_WMD7"}},     {station = 6, loadout = {"DIS_WMD7"}}} },
                { CLSID = "DIS_AKG_DLPOD", arg_value = 0.7, forbidden = {{station = 4, loadout = {"DIS_AKG_DLPOD"}},{station = 6, loadout = {"DIS_AKG_DLPOD"}}} },	
			    { CLSID = "{PLAAF_PL-15}", arg_value = 0.7, forbidden = {{station = 4, loadout = {"DIS_AKG_DLPOD"}},{station = 6, loadout = {"DIS_AKG_DLPOD"}}} },
                { CLSID = "{PLAAF_PL-12}", arg_value = 0.7, forbidden = {{station = 4, loadout = {"DIS_AKG_DLPOD"}},{station = 6, loadout = {"DIS_AKG_DLPOD"}}} },	
                { CLSID = "DIS_C-701T", arg_value = 0.1 },
                { CLSID = "DIS_C-701IR", arg_value = 0.1 },				
                { CLSID = "{PLAAF_YJ-91}", arg_value = 0.9, Type = 1 },
                { CLSID = 'DIS_CM-802AKG', arg_value = 0.9, Type = 1 },
                { CLSID = "DIS_LS_6_500", arg_value = 0.5, Type = 1 },
                { CLSID = "DIS_GB6", arg_value = 0.1, Type = 1 },
                { CLSID = "DIS_GB6_TSP", arg_value = 0.1, Type = 1 },
                { CLSID = "{PLAAF_LT-2}", arg_value = 0.1 },
                { CLSID = "DIS_TANK800", arg_value = 0.1, --[[required = {{station = 5,loadout = {"DIS_TANK800"}}}]] },
                { CLSID = "DIS_TANK1100", arg_value = 0.1, --[[required = {{station = 5,loadout = {"DIS_TANK1100"}}}]] },				
                { CLSID = "DIS_TANK800_EMPTY", arg_value = 0.1, },
                { CLSID = "DIS_TANK1100_EMPTY", arg_value = 0.1, },
                { CLSID = "{Mk82SNAKEYE}", arg_value = 0.9 }, -- Mk-82S
                { CLSID = "{BCE4E030-38E9-423E-98ED-24BE3DA87C32}", arg_value = 0.9 }, -- Mk-82
                { CLSID = "{7A44FF09-527C-4B7E-B42B-3F111CFE50FB}", arg_value = 0.9 }, -- Mk-83
                { CLSID = "{AB8B8299-F1CC-4359-89B5-2172E0CF4A5A}", arg_value = 0.2 }, -- Mk-84
                { CLSID = "DIS_MK_20", arg_value = 0.9 }, -- Mk-20 Rockeye
                { CLSID = "{PLAAF_FT-6}", arg_value = 0.5, Type = 1 },
                { CLSID = "DIS_GBU_16", arg_value = 0.3 }, -- GBU-16
                { CLSID = "DIS_GBU_12", arg_value = 0.9 }, -- GBU-12
                { CLSID = "{PLAAF_KD-88}", arg_value = 0.7, forbidden = {{station = 4, loadout = {"DIS_AKG_DLPOD"}},{station = 6, loadout = {"DIS_AKG_DLPOD"}}} },	
                { CLSID = "DIS_RKT_90_UG", arg_value = 0.5 },
                { CLSID = "DIS_LAU68_MK5_DUAL_GDJ_II19_L", arg_value = 0.3 },				
		  	    { CLSID = '{B13_5_S13OF_DUAL_L}'  				  , attach_point_position = {-0.21, 0.4, 0}, arg_value = 1.001 }, -- 2 x B-13L 
				{ CLSID = '{B8M1_20_S8KOM_DUAL_L}'				  , attach_point_position = {-0.21, 0.4, 0}, arg_value = 1.002 }, -- 2 x S-8 
				{ CLSID = '{S25_DUAL_L}'						  , attach_point_position = {-0.21, 0.4, 0}, arg_value = 1.003 }, -- 2 x S-25					
				{ CLSID = "{53BE25A4-C86C-4571-9BC0-47D668349595}",connector = "Hardpoint-3-2",arg_value = 0.270, Type = 1}, --6 * FAB-250
				{ CLSID = "{F99BEC1A-869D-4AC7-9730-FBA0E3B1F5FC}",connector = "Hardpoint-3-2",arg_value = 0.271, Type = 1}, --6 * FAB-100	
	            { CLSID = "{FAB-100-4}",connector = "PYLON_R_IN",arg = 319,arg_value = 0.5},				
            }
        ),
	pylon(3, 1, 0, 0, 0, {use_full_connector_position=false,connector = "pylon3",arg = 620,arg_value = -1.0, FiZ = 0},
            {
                { CLSID = "DIS_DF4B_YJ12",      arg_value = 0.7, forbidden = {{station = 4, loadout = {"DIS_WMD7"}},     {station = 6, loadout = {"DIS_WMD7"}}} },
                { CLSID = "DIS_AKG_DLPOD", arg_value = 0.7, forbidden = {{station = 4, loadout = {"DIS_AKG_DLPOD"}},{station = 6, loadout = {"DIS_AKG_DLPOD"}}} },	
			    { CLSID = "{PLAAF_PL-15}", arg_value = 0.7, forbidden = {{station = 4, loadout = {"DIS_AKG_DLPOD"}},{station = 6, loadout = {"DIS_AKG_DLPOD"}}} },
                { CLSID = "DIS_SD-10", arg_value = 0.7, forbidden = {{station = 4, loadout = {"DIS_AKG_DLPOD"}},{station = 6, loadout = {"DIS_AKG_DLPOD"}}} },	
                { CLSID = "DIS_C-701T", arg_value = 0.1 },
                { CLSID = "DIS_C-701IR", arg_value = 0.1 },				
                { CLSID = "{PLAAF_YJ-91}", arg_value = 0.9, Type = 1 },
                { CLSID = 'DIS_CM-802AKG', arg_value = 0.9, Type = 1 },
                { CLSID = "DIS_LS_6_500", arg_value = 0.5, Type = 1 },
                { CLSID = "DIS_GB6", arg_value = 0.1, Type = 1 },
                { CLSID = "DIS_GB6_TSP", arg_value = 0.1, Type = 1 },
                { CLSID = "{PLAAF_LT-2}", arg_value = 0.1 },
                { CLSID = "DIS_TANK800", arg_value = 0.1, --[[required = {{station = 5,loadout = {"DIS_TANK800"}}}]] },
                { CLSID = "DIS_TANK1100", arg_value = 0.1, --[[required = {{station = 5,loadout = {"DIS_TANK1100"}}}]] },				
                { CLSID = "DIS_TANK800_EMPTY", arg_value = 0.1, },
                { CLSID = "DIS_TANK1100_EMPTY", arg_value = 0.1, },
                { CLSID = "{Mk82SNAKEYE}", arg_value = 0.9 }, -- Mk-82S
                { CLSID = "{BCE4E030-38E9-423E-98ED-24BE3DA87C32}", arg_value = 0.9 }, -- Mk-82
                { CLSID = "{7A44FF09-527C-4B7E-B42B-3F111CFE50FB}", arg_value = 0.9 }, -- Mk-83
                { CLSID = "{AB8B8299-F1CC-4359-89B5-2172E0CF4A5A}", arg_value = 0.2 }, -- Mk-84
                { CLSID = "DIS_MK_20", arg_value = 0.9 }, -- Mk-20 Rockeye
                { CLSID = "{PLAAF_FT-6}", arg_value = 0.5, Type = 1 },
                { CLSID = "DIS_GBU_16", arg_value = 0.3 }, -- GBU-16
                { CLSID = "DIS_GBU_12", arg_value = 0.9 }, -- GBU-12
                { CLSID = "{PLAAF_KD-88}", arg_value = 0.7, forbidden = {{station = 4, loadout = {"DIS_AKG_DLPOD"}},{station = 6, loadout = {"DIS_AKG_DLPOD"}}} },	
                { CLSID = "DIS_RKT_90_UG", arg_value = 0.5 },
                { CLSID = "DIS_LAU68_MK5_DUAL_GDJ_II19_L", arg_value = 0.3 },				
		  	    { CLSID = '{B13_5_S13OF_DUAL_L}'  				  , attach_point_position = {-0.21, 0.4, 0}, arg_value = 1.001 }, -- 2 x B-13L 
				{ CLSID = '{B8M1_20_S8KOM_DUAL_L}'				  , attach_point_position = {-0.21, 0.4, 0}, arg_value = 1.002 }, -- 2 x S-8 
				{ CLSID = '{S25_DUAL_L}'						  , attach_point_position = {-0.21, 0.4, 0}, arg_value = 1.003 }, -- 2 x S-25					
				{ CLSID = "{53BE25A4-C86C-4571-9BC0-47D668349595}",connector = "Hardpoint-3-2",arg_value = 0.270, Type = 1}, --6 * FAB-250
				{ CLSID = "{F99BEC1A-869D-4AC7-9730-FBA0E3B1F5FC}",connector = "Hardpoint-3-2",arg_value = 0.271, Type = 1}, --6 * FAB-100	
	            { CLSID = "{FAB-100-4}",connector = "PYLON_R_IN",arg = 319,arg_value = 0.5},				
            }
        ),
	pylon(4, 1, 0, 0, 0, {use_full_connector_position=false,connector = "pylon4",arg = 508,arg_value = -1.0, FiZ = 0},
            {
                { CLSID = "DIS_DF4B_YJ12", arg_value = 0.1 },
				{ CLSID = "{PLAAF_PL-10E}",		arg = 62,arg_value = 1.0, },				
                { CLSID = "DIS_DF4B_YJ12",      arg_value = 0.7, forbidden = {{station = 4, loadout = {"DIS_WMD7"}},     {station = 6, loadout = {"DIS_WMD7"}}} },
                { CLSID = "DIS_AKG_DLPOD", arg_value = 0.7, forbidden = {{station = 4, loadout = {"DIS_AKG_DLPOD"}},{station = 6, loadout = {"DIS_AKG_DLPOD"}}} },	
			    { CLSID = "{PLAAF_PL-15}", arg_value = 0.7, forbidden = {{station = 4, loadout = {"DIS_AKG_DLPOD"}},{station = 6, loadout = {"DIS_AKG_DLPOD"}}} },
                { CLSID = "DIS_SD-10", arg_value = 0.7, forbidden = {{station = 4, loadout = {"DIS_AKG_DLPOD"}},{station = 6, loadout = {"DIS_AKG_DLPOD"}}} },	
                { CLSID = "DIS_DF4B_YJ12",      arg_value = 0.7, forbidden = {{station = 4, loadout = {"DIS_WMD7"}},     {station = 6, loadout = {"DIS_WMD7"}}} },
                { CLSID = "DIS_AKG_DLPOD", arg_value = 0.7, forbidden = {{station = 4, loadout = {"DIS_AKG_DLPOD"}},{station = 6, loadout = {"DIS_AKG_DLPOD"}}} },	
			    { CLSID = "{PLAAF_PL-15}", arg_value = 0.7, forbidden = {{station = 4, loadout = {"DIS_AKG_DLPOD"}},{station = 6, loadout = {"DIS_AKG_DLPOD"}}} },
                { CLSID = "{PLAAF_PL-12}", arg_value = 0.7, forbidden = {{station = 4, loadout = {"DIS_AKG_DLPOD"}},{station = 6, loadout = {"DIS_AKG_DLPOD"}}} },	
                { CLSID = "DIS_C-701T", arg_value = 0.1 },
                { CLSID = "DIS_C-701IR", arg_value = 0.1 },				
                { CLSID = "{PLAAF_YJ-91}", arg_value = 0.9, Type = 1 },
                { CLSID = 'DIS_CM-802AKG', arg_value = 0.9, Type = 1 },
                { CLSID = "DIS_LS_6_500", arg_value = 0.5, Type = 1 },
                { CLSID = "DIS_GB6", arg_value = 0.1, Type = 1 },
                { CLSID = "DIS_GB6_TSP", arg_value = 0.1, Type = 1 },
                { CLSID = "{PLAAF_LT-2}", arg_value = 0.1 },
                { CLSID = "DIS_TANK800", arg_value = 0.1, --[[required = {{station = 5,loadout = {"DIS_TANK800"}}}]] },
                { CLSID = "DIS_TANK1100", arg_value = 0.1, --[[required = {{station = 5,loadout = {"DIS_TANK1100"}}}]] },				
                { CLSID = "DIS_TANK800_EMPTY", arg_value = 0.1, },
                { CLSID = "DIS_TANK1100_EMPTY", arg_value = 0.1, },
                { CLSID = "{Mk82SNAKEYE}", arg_value = 0.9 }, -- Mk-82S
                { CLSID = "{BCE4E030-38E9-423E-98ED-24BE3DA87C32}", arg_value = 0.9 }, -- Mk-82
                { CLSID = "{7A44FF09-527C-4B7E-B42B-3F111CFE50FB}", arg_value = 0.9 }, -- Mk-83
                { CLSID = "{AB8B8299-F1CC-4359-89B5-2172E0CF4A5A}", arg_value = 0.2 }, -- Mk-84
                { CLSID = "DIS_MK_20", arg_value = 0.9 }, -- Mk-20 Rockeye
                { CLSID = "{PLAAF_FT-6}", arg_value = 0.5, Type = 1 },
                { CLSID = "DIS_GBU_16", arg_value = 0.3 }, -- GBU-16
                { CLSID = "DIS_GBU_12", arg_value = 0.9 }, -- GBU-12
                { CLSID = "{PLAAF_KD-88}", arg_value = 0.7, forbidden = {{station = 4, loadout = {"DIS_AKG_DLPOD"}},{station = 6, loadout = {"DIS_AKG_DLPOD"}}} },	
                { CLSID = "DIS_RKT_90_UG", arg_value = 0.5 },
                { CLSID = "DIS_LAU68_MK5_DUAL_GDJ_II19_L", arg_value = 0.3 },				
		  	    { CLSID = '{B13_5_S13OF_DUAL_L}'  				  , attach_point_position = {-0.21, 0.4, 0}, arg_value = 1.001 }, -- 2 x B-13L 
				{ CLSID = '{B8M1_20_S8KOM_DUAL_L}'				  , attach_point_position = {-0.21, 0.4, 0}, arg_value = 1.002 }, -- 2 x S-8 
				{ CLSID = '{S25_DUAL_L}'						  , attach_point_position = {-0.21, 0.4, 0}, arg_value = 1.003 }, -- 2 x S-25					
				{ CLSID = "{53BE25A4-C86C-4571-9BC0-47D668349595}",connector = "Hardpoint-3-2",arg_value = 0.270, Type = 1}, --6 * FAB-250
				{ CLSID = "{F99BEC1A-869D-4AC7-9730-FBA0E3B1F5FC}",connector = "Hardpoint-3-2",arg_value = 0.271, Type = 1}, --6 * FAB-100	
	            { CLSID = "{FAB-100-4}",connector = "PYLON_R_IN",arg = 319,arg_value = 0.5},				

            }
        ), 
	pylon(5, 0, 0, 0, 0, {use_full_connector_position=false,connector = "pylon5",arg = 3100,arg_value = -1.0, FiZ = 0},
            {
                { CLSID = "DIS_DF4B_YJ12",      arg_value = 0.7, forbidden = {{station = 4, loadout = {"DIS_WMD7"}},     {station = 6, loadout = {"DIS_WMD7"}}} },
                { CLSID = "DIS_AKG_DLPOD", arg_value = 0.7, forbidden = {{station = 4, loadout = {"DIS_AKG_DLPOD"}},{station = 6, loadout = {"DIS_AKG_DLPOD"}}} },	
			    { CLSID = "{PLAAF_PL-15}", arg_value = 0.7, forbidden = {{station = 4, loadout = {"DIS_AKG_DLPOD"}},{station = 6, loadout = {"DIS_AKG_DLPOD"}}} },
                { CLSID = "DIS_SD-10", arg_value = 0.7, forbidden = {{station = 4, loadout = {"DIS_AKG_DLPOD"}},{station = 6, loadout = {"DIS_AKG_DLPOD"}}} },	
                { CLSID = "{7A44FF09-527C-4B7E-B42B-3F111CFE50FB}", arg_value = 0.2 }, -- Mk-83
                { CLSID = "{AB8B8299-F1CC-4359-89B5-2172E0CF4A5A}", arg_value = 0.2 }, -- Mk-84
                { CLSID = "{PLAAF_LT-2}", arg_value = 0.1 },
                { CLSID = "{PLAAF_FT-6}", arg_value = 0.5, Type = 1 },
                { CLSID = "DIS_WMD7",      arg_value = 0.4, forbidden = {{station = 2, loadout = {"DIS_WMD7"}},     {station = 6, loadout = {"DIS_WMD7"}}} },
                { CLSID = "DIS_AKG_DLPOD", arg_value = 0.4, forbidden = {{station = 2, loadout = {"DIS_AKG_DLPOD"}},{station = 6, loadout = {"DIS_AKG_DLPOD"}}} },
                { CLSID = "{PLAAF_KD-88}", arg_value = 0.7, forbidden = {{station = 4, loadout = {"DIS_AKG_DLPOD"}},{station = 6, loadout = {"DIS_AKG_DLPOD"}}} },	
				
            }
        ), 
	pylon(6, 0, 0, 0, 0, {use_full_connector_position=false,connector = "pylon6",arg = 310,arg_value = -1.0, FiZ = 0},
            {
                { CLSID = "DIS_DF4B_YJ12", arg_value = 0.1 },
				{ CLSID = "{PLAAF_PL-10E}",		arg = 62,arg_value = 1.0, },				
                { CLSID = "DIS_DF4B_YJ12",      arg_value = 0.7, forbidden = {{station = 4, loadout = {"DIS_WMD7"}},     {station = 6, loadout = {"DIS_WMD7"}}} },
                { CLSID = "DIS_AKG_DLPOD", arg_value = 0.7, forbidden = {{station = 4, loadout = {"DIS_AKG_DLPOD"}},{station = 6, loadout = {"DIS_AKG_DLPOD"}}} },	
			    { CLSID = "{PLAAF_PL-15}", arg_value = 0.7, forbidden = {{station = 4, loadout = {"DIS_AKG_DLPOD"}},{station = 6, loadout = {"DIS_AKG_DLPOD"}}} },
                { CLSID = "{PLAAF_PL-12}", arg_value = 0.7, forbidden = {{station = 4, loadout = {"DIS_AKG_DLPOD"}},{station = 6, loadout = {"DIS_AKG_DLPOD"}}} },	
                { CLSID = "DIS_DF4B_YJ12",      arg_value = 0.7, forbidden = {{station = 4, loadout = {"DIS_WMD7"}},     {station = 6, loadout = {"DIS_WMD7"}}} },
                { CLSID = "DIS_AKG_DLPOD", arg_value = 0.7, forbidden = {{station = 4, loadout = {"DIS_AKG_DLPOD"}},{station = 6, loadout = {"DIS_AKG_DLPOD"}}} },	
			    { CLSID = "{PLAAF_PL-15}", arg_value = 0.7, forbidden = {{station = 4, loadout = {"DIS_AKG_DLPOD"}},{station = 6, loadout = {"DIS_AKG_DLPOD"}}} },
                { CLSID = "DIS_SD-10", arg_value = 0.7, forbidden = {{station = 4, loadout = {"DIS_AKG_DLPOD"}},{station = 6, loadout = {"DIS_AKG_DLPOD"}}} },	
                { CLSID = "DIS_C-701T", arg_value = 0.1 },
                { CLSID = "DIS_C-701IR", arg_value = 0.1 },				
                { CLSID = "{PLAAF_YJ-91}", arg_value = 0.9, Type = 1 },
                { CLSID = 'DIS_CM-802AKG', arg_value = 0.9, Type = 1 },
                { CLSID = "DIS_LS_6_500", arg_value = 0.5, Type = 1 },
                { CLSID = "DIS_GB6", arg_value = 0.1, Type = 1 },
                { CLSID = "DIS_GB6_TSP", arg_value = 0.1, Type = 1 },
                { CLSID = "{PLAAF_LT-2}", arg_value = 0.1 },
                { CLSID = "DIS_TANK800", arg_value = 0.1, --[[required = {{station = 5,loadout = {"DIS_TANK800"}}}]] },
                { CLSID = "DIS_TANK1100", arg_value = 0.1, --[[required = {{station = 5,loadout = {"DIS_TANK1100"}}}]] },				
                { CLSID = "DIS_TANK800_EMPTY", arg_value = 0.1, },
                { CLSID = "DIS_TANK1100_EMPTY", arg_value = 0.1, },
                { CLSID = "{Mk82SNAKEYE}", arg_value = 0.9 }, -- Mk-82S
                { CLSID = "{BCE4E030-38E9-423E-98ED-24BE3DA87C32}", arg_value = 0.9 }, -- Mk-82
                { CLSID = "{7A44FF09-527C-4B7E-B42B-3F111CFE50FB}", arg_value = 0.9 }, -- Mk-83
                { CLSID = "{AB8B8299-F1CC-4359-89B5-2172E0CF4A5A}", arg_value = 0.2 }, -- Mk-84
                { CLSID = "DIS_MK_20", arg_value = 0.9 }, -- Mk-20 Rockeye
                { CLSID = "{PLAAF_FT-6}", arg_value = 0.5, Type = 1 },
                { CLSID = "DIS_GBU_16", arg_value = 0.3 }, -- GBU-16
                { CLSID = "DIS_GBU_12", arg_value = 0.9 }, -- GBU-12
                { CLSID = "{PLAAF_KD-88}", arg_value = 0.7, forbidden = {{station = 4, loadout = {"DIS_AKG_DLPOD"}},{station = 6, loadout = {"DIS_AKG_DLPOD"}}} },	
                { CLSID = "DIS_RKT_90_UG", arg_value = 0.5 },
                { CLSID = "DIS_LAU68_MK5_DUAL_GDJ_II19_L", arg_value = 0.3 },				
		  	    { CLSID = '{B13_5_S13OF_DUAL_L}'  				  , attach_point_position = {-0.21, 0.4, 0}, arg_value = 1.001 }, -- 2 x B-13L 
				{ CLSID = '{B8M1_20_S8KOM_DUAL_L}'				  , attach_point_position = {-0.21, 0.4, 0}, arg_value = 1.002 }, -- 2 x S-8 
				{ CLSID = '{S25_DUAL_L}'						  , attach_point_position = {-0.21, 0.4, 0}, arg_value = 1.003 }, -- 2 x S-25					
				{ CLSID = "{53BE25A4-C86C-4571-9BC0-47D668349595}",connector = "Hardpoint-3-2",arg_value = 0.270, Type = 1}, --6 * FAB-250
				{ CLSID = "{F99BEC1A-869D-4AC7-9730-FBA0E3B1F5FC}",connector = "Hardpoint-3-2",arg_value = 0.271, Type = 1}, --6 * FAB-100	
	            { CLSID = "{FAB-100-4}",connector = "PYLON_R_IN",arg = 319,arg_value = 0.5},				
								
            }
        ), 
	pylon(7, 1, 0, 0, 0, {use_full_connector_position=false,connector = "pylon7",arg = 311,arg_value = -1.0, FiZ = 0},
            {
                { CLSID = "DIS_DF4B_YJ12", arg_value = 0.1 },
				{ CLSID = "{PLAAF_PL-10E}",		arg = 62,arg_value = 1.0, },				
                { CLSID = "DIS_DF4B_YJ12",      arg_value = 0.7, forbidden = {{station = 4, loadout = {"DIS_WMD7"}},     {station = 6, loadout = {"DIS_WMD7"}}} },
                { CLSID = "DIS_AKG_DLPOD", arg_value = 0.7, forbidden = {{station = 4, loadout = {"DIS_AKG_DLPOD"}},{station = 6, loadout = {"DIS_AKG_DLPOD"}}} },	
			    { CLSID = "{PLAAF_PL-15}", arg_value = 0.7, forbidden = {{station = 4, loadout = {"DIS_AKG_DLPOD"}},{station = 6, loadout = {"DIS_AKG_DLPOD"}}} },
                { CLSID = "{PLAAF_PL-12}", arg_value = 0.7, forbidden = {{station = 4, loadout = {"DIS_AKG_DLPOD"}},{station = 6, loadout = {"DIS_AKG_DLPOD"}}} },	
                { CLSID = "DIS_DF4B_YJ12",      arg_value = 0.7, forbidden = {{station = 4, loadout = {"DIS_WMD7"}},     {station = 6, loadout = {"DIS_WMD7"}}} },
                { CLSID = "DIS_AKG_DLPOD", arg_value = 0.7, forbidden = {{station = 4, loadout = {"DIS_AKG_DLPOD"}},{station = 6, loadout = {"DIS_AKG_DLPOD"}}} },	
			    { CLSID = "{PLAAF_PL-15}", arg_value = 0.7, forbidden = {{station = 4, loadout = {"DIS_AKG_DLPOD"}},{station = 6, loadout = {"DIS_AKG_DLPOD"}}} },
                { CLSID = "DIS_SD-10", arg_value = 0.7, forbidden = {{station = 4, loadout = {"DIS_AKG_DLPOD"}},{station = 6, loadout = {"DIS_AKG_DLPOD"}}} },	
                { CLSID = "DIS_C-701T", arg_value = 0.1 },
                { CLSID = "DIS_C-701IR", arg_value = 0.1 },				
                { CLSID = "{PLAAF_YJ-91}", arg_value = 0.9, Type = 1 },
                { CLSID = 'DIS_CM-802AKG', arg_value = 0.9, Type = 1 },
                { CLSID = "DIS_LS_6_500", arg_value = 0.5, Type = 1 },
                { CLSID = "DIS_GB6", arg_value = 0.1, Type = 1 },
                { CLSID = "DIS_GB6_TSP", arg_value = 0.1, Type = 1 },
                { CLSID = "{PLAAF_LT-2}", arg_value = 0.1 },
                { CLSID = "DIS_TANK800", arg_value = 0.1, --[[required = {{station = 5,loadout = {"DIS_TANK800"}}}]] },
                { CLSID = "DIS_TANK1100", arg_value = 0.1, --[[required = {{station = 5,loadout = {"DIS_TANK1100"}}}]] },				
                { CLSID = "DIS_TANK800_EMPTY", arg_value = 0.1, },
                { CLSID = "DIS_TANK1100_EMPTY", arg_value = 0.1, },
                { CLSID = "{Mk82SNAKEYE}", arg_value = 0.9 }, -- Mk-82S
                { CLSID = "{BCE4E030-38E9-423E-98ED-24BE3DA87C32}", arg_value = 0.9 }, -- Mk-82
                { CLSID = "{7A44FF09-527C-4B7E-B42B-3F111CFE50FB}", arg_value = 0.9 }, -- Mk-83
                { CLSID = "{AB8B8299-F1CC-4359-89B5-2172E0CF4A5A}", arg_value = 0.2 }, -- Mk-84
                { CLSID = "DIS_MK_20", arg_value = 0.9 }, -- Mk-20 Rockeye
                { CLSID = "{PLAAF_FT-6}", arg_value = 0.5, Type = 1 },
                { CLSID = "DIS_GBU_16", arg_value = 0.3 }, -- GBU-16
                { CLSID = "DIS_GBU_12", arg_value = 0.9 }, -- GBU-12
                { CLSID = "{PLAAF_KD-88}", arg_value = 0.7, forbidden = {{station = 4, loadout = {"DIS_AKG_DLPOD"}},{station = 6, loadout = {"DIS_AKG_DLPOD"}}} },	
                { CLSID = "DIS_RKT_90_UG", arg_value = 0.5 },
                { CLSID = "DIS_LAU68_MK5_DUAL_GDJ_II19_L", arg_value = 0.3 },				
		  	    { CLSID = '{B13_5_S13OF_DUAL_L}'  				  , attach_point_position = {-0.21, 0.4, 0}, arg_value = 1.001 }, -- 2 x B-13L 
				{ CLSID = '{B8M1_20_S8KOM_DUAL_L}'				  , attach_point_position = {-0.21, 0.4, 0}, arg_value = 1.002 }, -- 2 x S-8 
				{ CLSID = '{S25_DUAL_L}'						  , attach_point_position = {-0.21, 0.4, 0}, arg_value = 1.003 }, -- 2 x S-25					
				{ CLSID = "{53BE25A4-C86C-4571-9BC0-47D668349595}",connector = "Hardpoint-3-2",arg_value = 0.270, Type = 1}, --6 * FAB-250
				{ CLSID = "{F99BEC1A-869D-4AC7-9730-FBA0E3B1F5FC}",connector = "Hardpoint-3-2",arg_value = 0.271, Type = 1}, --6 * FAB-100	
	            { CLSID = "{FAB-100-4}",connector = "PYLON_R_IN",arg = 319,arg_value = 0.5},								
            }
        ), 
	pylon(8, 1, 0, 0, 0, {use_full_connector_position=false,connector = "pylon8",arg = 312,arg_value = -1.0, FiZ = 0},
            {
                { CLSID = "DIS_DF4B_YJ12", arg_value = 0.1 },
				{ CLSID = "{PLAAF_PL-10E}",		arg = 62,arg_value = 1.0, },				
                { CLSID = "DIS_DF4B_YJ12",      arg_value = 0.7, forbidden = {{station = 4, loadout = {"DIS_WMD7"}},     {station = 6, loadout = {"DIS_WMD7"}}} },
                { CLSID = "DIS_AKG_DLPOD", arg_value = 0.7, forbidden = {{station = 4, loadout = {"DIS_AKG_DLPOD"}},{station = 6, loadout = {"DIS_AKG_DLPOD"}}} },	
			    { CLSID = "{PLAAF_PL-15}", arg_value = 0.7, forbidden = {{station = 4, loadout = {"DIS_AKG_DLPOD"}},{station = 6, loadout = {"DIS_AKG_DLPOD"}}} },
                { CLSID = "DIS_SD-10", arg_value = 0.7, forbidden = {{station = 4, loadout = {"DIS_AKG_DLPOD"}},{station = 6, loadout = {"DIS_AKG_DLPOD"}}} },	
                { CLSID = "DIS_DF4B_YJ12",      arg_value = 0.7, forbidden = {{station = 4, loadout = {"DIS_WMD7"}},     {station = 6, loadout = {"DIS_WMD7"}}} },
                { CLSID = "DIS_AKG_DLPOD", arg_value = 0.7, forbidden = {{station = 4, loadout = {"DIS_AKG_DLPOD"}},{station = 6, loadout = {"DIS_AKG_DLPOD"}}} },	
			    { CLSID = "{PLAAF_PL-15}", arg_value = 0.7, forbidden = {{station = 4, loadout = {"DIS_AKG_DLPOD"}},{station = 6, loadout = {"DIS_AKG_DLPOD"}}} },
                { CLSID = "{PLAAF_PL-12}", arg_value = 0.7, forbidden = {{station = 4, loadout = {"DIS_AKG_DLPOD"}},{station = 6, loadout = {"DIS_AKG_DLPOD"}}} },	
                { CLSID = "DIS_C-701T", arg_value = 0.1 },
                { CLSID = "DIS_C-701IR", arg_value = 0.1 },				
                { CLSID = "{PLAAF_YJ-91}", arg_value = 0.9, Type = 1 },
                { CLSID = 'DIS_CM-802AKG', arg_value = 0.9, Type = 1 },
                { CLSID = "DIS_LS_6_500", arg_value = 0.5, Type = 1 },
                { CLSID = "DIS_GB6", arg_value = 0.1, Type = 1 },
                { CLSID = "DIS_GB6_TSP", arg_value = 0.1, Type = 1 },
                { CLSID = "{PLAAF_LT-2}", arg_value = 0.1 },
                { CLSID = "DIS_TANK800", arg_value = 0.1, --[[required = {{station = 5,loadout = {"DIS_TANK800"}}}]] },
                { CLSID = "DIS_TANK1100", arg_value = 0.1, --[[required = {{station = 5,loadout = {"DIS_TANK1100"}}}]] },				
                { CLSID = "DIS_TANK800_EMPTY", arg_value = 0.1, },
                { CLSID = "DIS_TANK1100_EMPTY", arg_value = 0.1, },
                { CLSID = "{Mk82SNAKEYE}", arg_value = 0.9 }, -- Mk-82S
                { CLSID = "{BCE4E030-38E9-423E-98ED-24BE3DA87C32}", arg_value = 0.9 }, -- Mk-82
                { CLSID = "{7A44FF09-527C-4B7E-B42B-3F111CFE50FB}", arg_value = 0.9 }, -- Mk-83
                { CLSID = "{AB8B8299-F1CC-4359-89B5-2172E0CF4A5A}", arg_value = 0.2 }, -- Mk-84
                { CLSID = "DIS_MK_20", arg_value = 0.9 }, -- Mk-20 Rockeye
                { CLSID = "{PLAAF_FT-6}", arg_value = 0.5, Type = 1 },
                { CLSID = "DIS_GBU_16", arg_value = 0.3 }, -- GBU-16
                { CLSID = "DIS_GBU_12", arg_value = 0.9 }, -- GBU-12
                { CLSID = "{PLAAF_KD-88}", arg_value = 0.7, forbidden = {{station = 4, loadout = {"DIS_AKG_DLPOD"}},{station = 6, loadout = {"DIS_AKG_DLPOD"}}} },	
                { CLSID = "DIS_RKT_90_UG", arg_value = 0.5 },
                { CLSID = "DIS_LAU68_MK5_DUAL_GDJ_II19_L", arg_value = 0.3 },				
		  	    { CLSID = '{B13_5_S13OF_DUAL_L}'  				  , attach_point_position = {-0.21, 0.4, 0}, arg_value = 1.001 }, -- 2 x B-13L 
				{ CLSID = '{B8M1_20_S8KOM_DUAL_L}'				  , attach_point_position = {-0.21, 0.4, 0}, arg_value = 1.002 }, -- 2 x S-8 
				{ CLSID = '{S25_DUAL_L}'						  , attach_point_position = {-0.21, 0.4, 0}, arg_value = 1.003 }, -- 2 x S-25					
				{ CLSID = "{53BE25A4-C86C-4571-9BC0-47D668349595}",connector = "Hardpoint-3-2",arg_value = 0.270, Type = 1}, --6 * FAB-250
				{ CLSID = "{F99BEC1A-869D-4AC7-9730-FBA0E3B1F5FC}",connector = "Hardpoint-3-2",arg_value = 0.271, Type = 1}, --6 * FAB-100	
	            { CLSID = "{FAB-100-4}",connector = "PYLON_R_IN",arg = 319,arg_value = 0.5},				
            }
        ), 		
	pylon(9, 0, 0, 0, 0, {use_full_connector_position=false,connector = "pylon9",arg = 313,arg_value = -1.0, FiZ = 0},
            {
                { CLSID = "DIS_DF4B_YJ12",      arg_value = 0.7, forbidden = {{station = 4, loadout = {"DIS_WMD7"}},     {station = 6, loadout = {"DIS_WMD7"}}} },
                { CLSID = "DIS_AKG_DLPOD", arg_value = 0.7, forbidden = {{station = 4, loadout = {"DIS_AKG_DLPOD"}},{station = 6, loadout = {"DIS_AKG_DLPOD"}}} },	
			    { CLSID = "{PLAAF_PL-15}", arg_value = 0.7, forbidden = {{station = 4, loadout = {"DIS_AKG_DLPOD"}},{station = 6, loadout = {"DIS_AKG_DLPOD"}}} },
                { CLSID = "{PLAAF_KD-88}", arg_value = 0.7, forbidden = {{station = 4, loadout = {"DIS_AKG_DLPOD"}},{station = 6, loadout = {"DIS_AKG_DLPOD"}}} },	
				{ CLSID = "DIS_SD-10", arg_value = 0.7, forbidden = {{station = 4, loadout = {"DIS_AKG_DLPOD"}},{station = 6, loadout = {"DIS_AKG_DLPOD"}}} },
                { CLSID = "{PLAAF_LT-2}", arg_value = 0.1 },
                { CLSID = "{PLAAF_FT-6}", arg_value = 0.5, Type = 1 },
				{ CLSID = "{PLAAF_YJ-91}", arg_value = 0.7, forbidden = {{station = 4, loadout = {"DIS_AKG_DLPOD"}},{station = 6, loadout = {"DIS_AKG_DLPOD"}}} },					
            }
        ), 
    pylon(10,1, 0, 0, 0, {use_full_connector_position=false,connector = "pylon10",arg = 314,arg_value = -1.0, FiZ = -1},
            {			
                { CLSID = "DIS_DF4B_YJ12",      arg_value = 0.7, forbidden = {{station = 4, loadout = {"DIS_WMD7"}},     {station = 6, loadout = {"DIS_WMD7"}}} },
                { CLSID = "DIS_AKG_DLPOD", arg_value = 0.7, forbidden = {{station = 4, loadout = {"DIS_AKG_DLPOD"}},{station = 6, loadout = {"DIS_AKG_DLPOD"}}} },	
			    { CLSID = "{PLAAF_PL-15}", arg_value = 0.7, forbidden = {{station = 4, loadout = {"DIS_AKG_DLPOD"}},{station = 6, loadout = {"DIS_AKG_DLPOD"}}} },
                { CLSID = "{PLAAF_KD-88}", arg_value = 0.7, forbidden = {{station = 4, loadout = {"DIS_AKG_DLPOD"}},{station = 6, loadout = {"DIS_AKG_DLPOD"}}} },	
                { CLSID = "{PLAAF_FT-6}", arg_value = 0.5, Type = 1 },
				{ CLSID = "DIS_SD-10", arg_value = 0.7, forbidden = {{station = 4, loadout = {"DIS_AKG_DLPOD"}},{station = 6, loadout = {"DIS_AKG_DLPOD"}}} },				
				{ CLSID = "{PLAAF_YJ-91}", arg_value = 0.7, forbidden = {{station = 4, loadout = {"DIS_AKG_DLPOD"}},{station = 6, loadout = {"DIS_AKG_DLPOD"}}} },		
            }
        ), 		
    pylon(11, 1, 0, 0, 0, {use_full_connector_position=false,connector = "pylon11",arg = 315,arg_value = -1.0, FiZ = -1},
            {	
                { CLSID = "DIS_DF4B_YJ12",      arg_value = 0.7, forbidden = {{station = 4, loadout = {"DIS_WMD7"}},     {station = 6, loadout = {"DIS_WMD7"}}} },
                { CLSID = "{PLAAF_PL-10E}", arg_value = 0.7, forbidden = {{station = 4, loadout = {"DIS_AKG_DLPOD"}},{station = 6, loadout = {"DIS_AKG_DLPOD"}}} },	
			    { CLSID = "{PLAAF_PL-15}", arg_value = 0.7, forbidden = {{station = 4, loadout = {"DIS_AKG_DLPOD"}},{station = 6, loadout = {"DIS_AKG_DLPOD"}}} },
                { CLSID = "DIS_SD-10", arg_value = 0.5, Type = 1 },
			    { CLSID = "DIS_SD-10", arg_value = 0.1 },
				{ CLSID = "{PLAAF_YJ-91}", arg_value = 0.7, forbidden = {{station = 4, loadout = {"DIS_AKG_DLPOD"}},{station = 6, loadout = {"DIS_AKG_DLPOD"}}} },
                { CLSID = "{PLAAF_KD-88}", arg_value = 0.7, forbidden = {{station = 4, loadout = {"DIS_AKG_DLPOD"}},{station = 6, loadout = {"DIS_AKG_DLPOD"}}} },					
            }
        ), 
    pylon(12, 1, 0, 0, 0, {use_full_connector_position=false,connector = "pylon12",arg = 315,arg_value = -1.0, FiZ = -1},
            {			
                { CLSID = "{PL8}",      arg_value = 0.7, forbidden = {{station = 4, loadout = {"DIS_WMD7"}},     {station = 6, loadout = {"DIS_WMD7"}}} },
                { CLSID = "{PL8}", arg_value = 0.7, forbidden = {{station = 4, loadout = {"DIS_AKG_DLPOD"}},{station = 6, loadout = {"DIS_AKG_DLPOD"}}} },				
            }
        ), 
		

	
	},
	 
	Tasks = {  -- 工作 飞机飞行任务
        aircraft_task(CAP),
     	aircraft_task(Escort),
      	aircraft_task(FighterSweep),
		aircraft_task(Intercept),
		aircraft_task(Reconnaissance),
		aircraft_task(GroundAttack),
		aircraft_task(CAS),
        aircraft_task(AFAC),
	    aircraft_task(RunwayAttack),
  	    aircraft_task(AntishipStrike),
    },	
	DefaultTask = aircraft_task(GroundAttack),  -- 默认任务 地面攻击

SFM_Data = {
	aerodynamics = {
		Cy0 		= 0, -- 零AoA升力系数
		Mzalfa 		= 4.355, -- 尾距系数M0.9
		Mzalfadt 	= 0.9, -- 机翼俯仰系数M0.9
		kjx 		= 2.7, --滚转加速率，单位为rad/sec2.7
		kjz 		= 0.05225, -- 电梯或stab控制功率系数/俯仰阻尼系数
		Czbe 		= -0.016, -- 方向稳定性系数沿Z轴（垂直）影响偏航，负值表示FC坐标系中的力方向
		cx_gear 	= 0.0268, -- 机轮阻力系数
		cx_flap 	= 0.073, -- 全襟翼阻力系数
		cy_flap 	= 0.72, -- 襟翼垂直升力系数
		cx_brk 		= 0.04, -- 减速板阻力系数0.06
	--880以上机头向上  880一下机头向下
	table_data = {
	--   M		Cx0		 	Cya		B			B4	    		Omxmax	Aldop			Cymax
		{0, 		0.045, 		0.077, 	0.1, 		0.032, 			0.65, 		25, 			1.6}, 
		{0.2, 	0.045, 		0.077, 	0.1, 		0.032, 			1.95, 		25, 			1.6}, 
		{0.4, 	0.045, 		0.077, 	0.1, 		0.032, 			2.7, 			25, 			1.6}, 
		{0.6, 	0.045, 		0.066, 	0.094, 	0.043, 			2.7, 			24, 			1.5}, 
		{0.7, 	0.045, 		0.066, 	0.094, 	0.045, 			2.7, 			23, 			1.45}, 
		{0.8, 	0.045,		0.066, 	0.094, 	0.048, 			2.7, 			21, 			1.4}, 
		{0.9, 	0.045, 		0.066, 	0.11, 	0.05, 			2.7, 			20, 			1.3}, 
		{1, 		0.015, 		0.066, 	0.15, 	0.1, 				2.7, 			18, 			1.2}, 
		{1.1, 	0.010, 		0.066, 	0.15, 	0.1, 				2.7, 			16, 			1.1}, 
		{1.2, 	0.015, 		0.066, 	0.14, 	0.1, 				2.7, 			17, 			1.05}, 
		{1.3, 	0.035, 		0.066, 	0.17, 	0.096, 			2.28, 		15, 			1}, 
		{1.5, 	0.025, 		0.066, 	0.23, 	0.09, 			1.95, 		13, 			0.9}, 
		{1.8, 	0.021, 		0.051, 	0.23, 	0.38, 			1.17, 		12, 			0.7}, 
		{2, 		0.009, 		0.043, 	0.08, 	2.5, 				1.04, 		10.5, 		0.55}, 
		{2.2, 	0.009, 		0.037, 	0.16, 	3.2, 				0.91, 		9, 			0.4}, 
		{2.5, 	0.009, 		0.036, 	0.25, 	4.5, 				0.91, 		9, 			0.4}, 
		{3.9, 	0.009, 		0.033, 	0.35, 	6, 				0.8, 			9, 			0.4}
	}
	-- M - 马赫数
	-- Cx0 - Coefficient, drag, profile, of the airplane飞机的系数、阻力、剖面
	-- Cya - Normal force coefficient of the wing and body of the aircraft in the normal direction to that of flight. Inversely proportional to the available G-loading at any Mach value. (lower the Cya value, higher G available) per 1 degree AOA
			--飞机机翼和机身在垂直于飞行方向上的法向力系数。与任何马赫值下的可用G载荷成反比。（Cya值越低，可用G值越高）每1度AOA
	-- B - Polar quad coeff  极四元系数
	-- B4 - Polar 4th power coeff  极四次方系数
	-- Omxmax - roll rate, rad/s  滚动速率，rad/s
	-- Aldop - Alfadop Max AOA at current M - departure threshold  当前M时的Alfadop最大AOA-离开阈值
	-- Cymax - Coefficient, lift, maximum possible (ignores other calculations if current Cy > Cymax)
			--最大可能升力系数（如果当前Cy>Cymax，则忽略其他计算）
}, 

	engine = {
		Nmg 			= 67.5, -- RPM at idle
		MinRUD 		= 0, -- 油门的最小状态
		MaxRUD 		= 1, -- 油门的最大状态
		MaksRUD 	= 0.85, -- 军推油门的状态
		ForsRUD 		= 0.91, -- 油门的加力状态
		typeng 		= 1, 
		hMaxEng 	= 19.5, -- 发动机安全运行的最大高度（km）
		dcx_eng 		= 0.0124, -- 发动机阻力系数
		cemax 			= 0.01, -- 不用于燃油计算，仅用于AI例行程序检查飞行时间（内置燃油计算算法）
		cefor 			= 0.05, -- 不用于燃油计算，仅用于AI例行程序检查飞行时间（内置燃油计算算法）
		dpdh_m 		= 8000, -- 最大推力高度系数
		dpdh_f 		= 18000, --AB加力推力高度系数
 
	table_data = {
	--   M		Pmax		 	Pfor	
		{0, 		150000, 		300000}, 
		{0.2, 	150000, 		300000}, 
		{0.4, 	155000, 		310000}, 
		{0.45, 	158000, 		316000}, 
		{0.64, 	160000, 		320000}, 
		{0.7, 	180000, 		360000}, 
		{0.8, 	180000, 		360000}, 
		{0.9, 	200000, 		400000}, 
		{1, 		230000, 		400000}, 
		{1.1, 	230000, 		400000}, 
		{1.2, 	200000, 		400000}, 
		{1.3, 	200000, 		400000}, 
		{1.5, 	180000, 		400000}, 
		{1.8, 	160000, 		400000}, 
		{2, 		150000, 		400000}, 
		{2.2, 	150000, 		400000}, 
		{2.5, 	150000, 		400000}, 
		{3.9, 	150000, 		400000}
		}
		-- M - 马赫数
		--Pmax - 军用动力下的发动机推力
		--Pfor - AFB时的发动机推力
		
		}
},
	--damage , index meaning see in  Scripts\Aircrafts\_Common\Damage.lua
	Damage = {
				[0]  = {critical_damage = 5, 	args = {82}},
				[3]  = {critical_damage = 10, 	args = {65}},
				[8]  = {critical_damage = 10},
				[11] = {critical_damage = 3},
				[12] = {critical_damage = 3},
				[15] = {critical_damage = 10},
				[16] = {critical_damage = 10},
				[17] = {critical_damage = 3},
				[18] = {critical_damage = 3},
				[25] = {critical_damage = 5, 	args = {53}},
				[26] = {critical_damage = 5, 	args = {54}},
				[35] = {critical_damage = 10, 	args = {67}, deps_cells = {25, 37}},
				[36] = {critical_damage = 10, 	args = {68}, deps_cells = {26, 38}},
				[37] = {critical_damage = 4, 	args = {55}},
				[38] = {critical_damage = 4, 	args = {56}},
				[43] = {critical_damage = 4, 	args = {61}, deps_cells = {53}},
				[44] = {critical_damage = 4, 	args = {62}, deps_cells = {54}},
				[47] = {critical_damage = 5, 	args = {63}, deps_cells = {51}},
				[48] = {critical_damage = 5, 	args = {64}, deps_cells = {52}},
				[51] = {critical_damage = 2, 	args = {59}},
				[52] = {critical_damage = 2, 	args = {60}},
				[53] = {critical_damage = 2, 	args = {57}},
				[54] = {critical_damage = 2, 	args = {58}},
				[55] = {critical_damage = 5, 	args = {81}},
				[83] = {critical_damage = 3, 	args = {134}}, -- nose wheel 前轮                                 
				[84] = {critical_damage = 3, 	args = {136}}, -- left wheel  左轮                             
				[85] = {critical_damage = 3, 	args = {135}}, -- right wheel   右轮
	},
	
	DamageParts = 
	{  
		[1] = "J-16A-oblomok-wing-r", -- wing R   右翼尖
		[2] = "J-16A-oblomok-wing-l", -- wing L   左翼尖
		[3] = "J-16A-oblomok-noise",  -- nose     头部
		[4] = "J-16A-oblomok-tail-r", -- tail	  尾
		[5] = "J-16A-oblomok-tail-l", -- tail     尾
	},
	
		effects_presets = {    -- 预设效果 机背气流效果
		
		{effect = "OVERWING_VAPOR", file = current_mod_path.."/Effects/J-16A_overwingVapor.lua"},
		
    
		 
		 
		 
	},
	
		-- lights_data   position = {-6.82, 2.94, -2.26}

	lights_data = {  typename = 'collection',  lights = {
					[WOLALIGHT_STROBES] = {
						typename = "collection",
						lights = {	--频闪
							{
							typename = "natostrobelight", 
								connector = "PS1",
								argument = 802,
								proto = { color = {1, 1, 1, 0.012 * math.sqrt(1000)}, range = 40.0, angle_max = math.rad(40.0), angle_min = math.rad(40.0), controller = "Strobe",   period = 1.33333,}, 		
							},
							{  	
							typename = 'natostrobelight',  
								connector = "PS2", 
								argument = 802, 
								proto = { color = {1, 1, 1, 0.012 * math.sqrt(1000)}, range = 40.0, angle_max = math.rad(40.0), angle_min = math.rad(40.0), controller = "Strobe", period = 1.33333,},
							},
							{  	
							typename = 'natostrobelight',  
								connector = "PS3", 
								argument = 802, 
								proto = { color = {1, 1, 1, 0.012 * math.sqrt(1000)}, range = 40.0, angle_max = math.rad(40.0), angle_min = math.rad(40.0), controller = "Strobe", period = 1.33333,},
							},
							{  	
							typename = 'natostrobelight',  
								connector = "PS4", 
								argument = 802, 
								proto = { color = {1, 1, 1, 0.012 * math.sqrt(1000)}, range = 40.0, angle_max = math.rad(40.0), angle_min = math.rad(40.0), controller = "Strobe", period = 1.33333,},
							},
                    }
						
				},
		--[WOLALIGHT_SPOTS] = { typename = 'collection', lights = { {typename = 'argumentlight', argument = 208},  }, },
			
			[WOLALIGHT_NAVLIGHTS] = { typename = 'collection',
			
				lights = {
					{  	typename = 'omnilight',  
							connector = "zuoyijian1", 
							argument = 190, 
							color = {255,0,0},
							range = 10,
							brightness = 65,
					}, -- left tip	 左翼尖1
					{  	typename = 'omnilight',  
							connector = "zuoyijian2", 
							argument = 190, 
							color = {255,0,0},
							range = 10,
							brightness = 65,
					}, -- left tip	 左翼尖2
					
					{  	typename = 'omnilight',  
							connector = "youyijian1", 
							argument = 191, 
							color = {0,255,18},
							range = 10,
							brightness = 65,
					},  --right tip   右翼尖1
					{  	typename = 'omnilight',  
							connector = "youyijian2", 
							argument = 191, 
							color = {0,255,18},
							range = 10,
							brightness = 65,
					},  --right tip   右翼尖2
					
					
					
					--=============编队灯=================--
					-- {  	typename = 'omnilight',  
							-- connector = "ZWYBD1", 
							-- argument = 190, 
							-- color = {0,255,18},
							-- range = 2,
							-- brightness = 2,
							-- dir_correction = {elevation = math.rad(-1)}
					-- },
					-- {  	typename = 'omnilight',  
							-- connector = "ZWYBD2", 
							-- argument = 190, 
							-- color = {0,255,18},
							-- range = 2,
							-- brightness = 2,
					-- },
					-- {  	typename = 'omnilight',  
							-- connector = "ZWYBD3", 
							-- argument = 190, 
							-- color = {0,255,18},
							-- range = 2,
							-- brightness = 2,
					-- },
					-- {  	typename = 'omnilight',  
							-- connector = "ZWYBD4", 
							-- argument = 190, 
							-- color = {0,255,18},
							-- range = 2,
							-- brightness = 2,
					-- },
					
					
					
					
					-- {   --按下右ctrl+l一次
                        -- typename = "natostrobelight", 
							-- connector = "PS1",
							-- argument = 802,
							-- proto = { color = {1.0, 1.0, 1.0, 0.012 * math.sqrt(1000)}, range = 50.0, angle_max = math.rad(180.0), angle_min = math.rad(180.0), controller = "Strobe", period = 2.66666,},
                    -- },	
					-- {  	typename = 'omnilight',  
							-- connector = "PS3", 
							-- argument = 191, 
							-- proto = { color = {1.0, 1.0, 1.0, 0.012 * math.sqrt(1000)}, range = 50.0, angle_max = math.rad(180.0), angle_min = math.rad(180.0), controller = "Strobe", period = 2.66666,},
					-- },
					
					},
                    },
					
					
					[WOLALIGHT_SPOTS] = { typename = 'collection', lights = { {typename = 'argumentlight', connector = "RIGHT_MAIN_SPOT", argument = 208},  },  },
					[WOLALIGHT_TAXI_LIGHTS] = { typename = 'collection',lights = {  {typename = 'argumentlight', connector = "NOSE_TAXI_SPOT", argument = 209}, }, },
					
			
			
			
			}
	 	}

-- end lights_data

		
	
	}

add_aircraft(J_16A)

dofile("Scripts/Database/Weapons/warheads.lua")

--///////////////////////////////////////////////////PL_8//////////////////////
PL_8B_AA = {category = CAT_AIR_TO_AIR, 
name = "PL8", 
user_name = _("PL8"),
wsTypeOfWeapon = {4, 4, 7, WSTYPE_PLACEHOLDER}, 
Escort = 0, 
Head_Type = 1, 
sigma = {3, 3, 3}, 
M = 85, 
H_max = 16000, 
H_min = -1, 
Diam = 160, 
Cx_pil = 2.5, 
D_max = 20000, 
D_min = 500, 
Head_Form = 0,
Life_Time = 240, 
Nr_max = 40, 
v_min = 140, 
v_mid = 400,
Mach_max = 3.5,
t_b = 0, 
t_acc = 5, 
t_marsh = 5, 
Range_max = 20000, 
H_min_t = 1, 
Fi_start = 0.5, 
Fi_rak = 3.14152, 
Fi_excort = 1.31, 
Fi_search = 0.09, 
OmViz_max = 1.05, 
warhead = enhanced_a2a_warhead(38), 
exhaust = {0.8, 0.8, 0.8, 0.05}, 
X_back = -1.61, 
Y_back = -0.089, 
Z_back = 0, 
Reflection = 0.0329, 
KillDistance = 7, 
SeekerSensivityDistance = 20000, 
ccm_k0 = 0.5, 
SeekerCooled = true, 
shape_table_data = {
{name = "PL8", 
file = "PL_8", 
life = 1, 
fire = {0, 1}, 
username = "PL8", 
index = WSTYPE_PLACEHOLDER}}, 
ModelData = {58, 0.4, 0.05, 0.12, 0.02, 0.062, 1.2, 1, 0.9, 0.8, 1.2, 0.78, 0.6, -1, -1, 7, 0, 0, 0, 1000000000, 0, 0, 6.18, 0, 0, 0, 0, 0, 0, 14000, 0, 0, 0, 0, 1000000000, 23, 0, 0.35, 1000000000, 1000000000, 0, 30, 0, 1.19, 1, 2, 8000, 1.077, 0.9, 0.75, 28, 19000, 6000, 10000, 0.2, 1, 1.4, -3, 0.5}}

declare_weapon(PL_8B_AA)
PL_8B_AA.shape_table_data.index = PL_8B_AA.wsTypeOfWeapon[4]
declare_loadout({
category = CAT_AIR_TO_AIR, 
CLSID = "{PL8}", 
Picture = "pl8B.png", 
attribute = PL_8B_AA.wsTypeOfWeapon, 
displayName = _("PL8"), 
Cx_pil = 0.001959765625, 
Count = 1, 
Weight = 115, 
Elements = {
[1] = {
DrawArgs = {
[1] = {1, 1}, 
[2] = {2, 1}}, 
Position = {0, 0, 0}, 
ShapeName = "PL_8"}}})

--///////////////////////////////////////////////////PL_10//////////////////////
PL_10_AA = {category = CAT_AIR_TO_AIR, 
name = "PL-10E", 
user_name = _("PL-10E"),
wsTypeOfWeapon = {4, 4, 7, WSTYPE_PLACEHOLDER}, 
Escort = 3, 
Head_Type = 6, 
sigma = {25, 25, 25}, 
M = 85, 
H_max = 16000, 
H_min = -1, 
Diam = 160, 
Cx_pil = 2.5, 
D_max = 20000, 
D_min = 500, 
Head_Form = 0,
Life_Time = 240, 
Nr_max = 40, 
v_min = 140, 
v_mid = 400,
Mach_max = 3.5,
t_b = 0, 
t_acc = 5, 
t_marsh = 5, 
Range_max = 20000, 
H_min_t = 1, 
Fi_start = 0.5, 
Fi_rak = 3.14152, 
Fi_excort = 1.31, 
Fi_search = 0.09, 
OmViz_max = 1.05, 
warhead = enhanced_a2a_warhead(18), 
exhaust = {0.8, 0.8, 0.8, 0.05}, 
X_back = -1.55, 
Y_back = -0.1, 
Z_back = 0, 
Reflection = 0.0329, 
KillDistance = 15, 
SeekerSensivityDistance = 20000, 
ccm_k0 = 0.5, 
SeekerCooled = true, 
shape_table_data = {
{name = "PL-10E", 
file = "PL_10", 
life = 1, 
fire = {0, 1}, 
username = "PL10", 
index = WSTYPE_PLACEHOLDER}}, 
ModelData = {58, 0.4, 0.05, 0.12, 0.02, 0.062, 1.2, 1, 0.9, 0.8, 1.2, 0.78, 0.6, -1, -1, 7, 0, 0, 0, 1000000000, 0, 0, 6.18, 0, 0, 0, 0, 0, 0, 14000, 0, 0, 0, 0, 1000000000, 23, 0, 0.35, 1000000000, 1000000000, 0, 30, 0, 1.19, 1, 2, 8000, 1.077, 0.9, 0.75, 28, 19000, 6000, 10000, 0.2, 1, 1.4, -3, 0.5}}

declare_weapon(PL_10_AA)
PL_10_AA.shape_table_data.index = PL_10_AA.wsTypeOfWeapon[4]
declare_loadout({
category = CAT_AIR_TO_AIR, 
CLSID = "{PL10}", 
Picture = "PL8B.png", 
attribute = PL_10_AA.wsTypeOfWeapon, 
displayName = _("PL-10E"), 
Cx_pil = 0.001959765625, 
Count = 1, 
Weight = 115, 
Elements = {
[1] = {
DrawArgs = {
[1] = {1, 1}, 
[2] = {2, 1}}, 
Position = {0, 0, 0}, 
ShapeName = "PL_10"}}})


--///////////////////////////////////////////////////PL_12//////////////////////
PL_12_AA = {
category = CAT_AIR_TO_AIR, 
name = "PL12", 
user_name = _("PL12"), 
wsTypeOfWeapon = {4, 4, 7, WSTYPE_PLACEHOLDER}, 
Escort = 0, 
Head_Type = 2, 
sigma = {5, 5, 5}, 
M = 199, 
H_max = 25000, 
H_min = -1, 
Diam = 203, 
Cx_pil = 2, 
D_max = 75000, 
D_min = 700, 
Head_Form = 1, 
Life_Time = 180, 
Nr_max = 30, 
v_min = 140, 
v_mid = 900, 
Mach_max = 4,
t_b = 0, 
t_acc = 3, 
t_marsh = 5, 
Range_max = 80000, 
H_min_t = 3, 
Fi_start = 0.5, 
Fi_rak = 3.14152, 
Fi_excort = 1.05, 
Fi_search = 1.05, 
OmViz_max = 0.52, 
warhead = enhanced_a2a_warhead(88), 
exhaust = {1, 1, 1, 1}, 
X_back = -1.74, 
Y_back = -0.11, 
Z_back = 0, 
Reflection = 0.0329, 
KillDistance = 11, 
shape_table_data = {
{name = "PL12", 
file = "pl_12", 
life = 1, 
fire = {0, 1}, 
username = "PL12", 
index = WSTYPE_PLACEHOLDER}}, 
loft = 1, 
hoj = 1, 
ccm_k0 = 1, 
rad_correction = 1, 
PN_coeffs = {3, 5000, 1, 15000, 0.4, 30000, 0.2}, 
supersonic_A_coef_skew = 0.25, 
nozzle_exit_area = 0.007238, 
ModelData = {
        58 ,  -- model params count
        0.9 ,   -- characteristic square (характеристическая площадь)

        -- параметры зависимости Сx
        0.012 , -- планка Сx0 на дозвуке ( M << 1) cx_k0
        0.042 , -- высота пика волнового кризиса cx_k1
        0.012 , -- крутизна фронта на подходе к волновому кризису cx_k2
        0.003 , -- планка Cx0 на сверхзвуке ( M >> 1) cx_k3
        1.20  , -- крутизна спада за волновым кризисом cx_k4
        1.50  , -- коэффициент отвала поляры

        -- параметры зависимости Cy
        1.8 , -- планка Сy0 на дозвуке ( M << 1)
        1.0    , -- планка Cy0 на сверхзвуке ( M >> 1)
        1.5 , -- крутизна спада(фронта) за волновым кризисом

        0.29 , -- 7 Alfa_max  максимальный балансировачный угол, радианы
        0.00, --угловая скорость создаваймая моментом газовых рулей

        --    t_statr   t_b      t_accel  t_march   t_inertial   t_break  t_end
        -1.0,   -1.0,       6.0,     4.0,      0.0,          0.0,      1.0e9,           -- time interval
         0.0,    0.0,      10.0,     2.5,      0.0,          0.0,        0.0,           -- fuel flow rate in second kg/sec(секундный расход массы топлива кг/сек)
         0.0,    0.0,   25500.0,  6000.0,      0.0,          0.0,        0.0,           -- thrust

        1.0e9, -- таймер самоликвидации, сек
        100.0, -- время работы энергосистемы, сек
        0, -- абсолютная высота самоликвидации, м
        1.0, -- время задержки включения управления (маневр отлета, безопасности), сек
        30000, -- дальность до цели в момент пуска, при превышении которой ракета выполняется маневр 'горка', м
        31000, -- дальность до цели, при которой маневр 'горка' завершается и ракета переходит на чистую пропорциональную навигацию (должен быть больше или равен предыдущему параметру), м
        0.26,  -- синус угла возвышения траектории набора горки
        50.0, -- продольное ускорения взведения взрывателя
        0.0, -- модуль скорости сообщаймый катапультным устройством, вышибным зарядом и тд
        1.19, -- характристика системы САУ-РАКЕТА,  коэф фильтра второго порядка K0
        1.0, -- характристика системы САУ-РАКЕТА,  коэф фильтра второго порядка K1
        2.0, -- характристика системы САУ-РАКЕТА,  полоса пропускания контура управления
        25200.0, -- дальность полета в горизонт с располагаемой перегрузкой Navail >= 1.0 на высоте H=2000
        3.92, -- крутизна зависимости  дальность полета в горизонт с располагаемой перегрузкой Navail >= 1.0 от высоты H
        3.2,
        0.75, -- безразмерный коэф. эффективности САУ ракеты
        70.0, -- расчет времени полета
        -- DLZ. Данные для рассчета дальностей пуска (индикация на прицеле)
        65000.0, -- дальность ракурс   180(навстречу) град,  Н=10000м, V=900км/ч, м
        28000.0, -- дальность ракурс 0(в догон) град,  Н=10000м, V=900км/ч
        23000.0, -- дальность ракурс     180(навстречу) град, Н=1000м, V=900км/ч
        0.2,
        0.6,
        1.4,
        -3.0,
        0.5,
}}
declare_weapon(PL_12_AA)
PL_12_AA.shape_table_data.index = PL_12_AA.wsTypeOfWeapon[4]
declare_loadout({category = CAT_AIR_TO_AIR, 
CLSID = "{PL12}", 
Picture = "pl12.png", 
attribute = PL_12_AA.wsTypeOfWeapon, 
displayName = _("PL12"),
Cx_pil = 0.001959765625, 
Count = 1, 
Weight = 199, 
Elements = {
[1] = {
DrawArgs = {
[1] = {1, 1}, 
[2] = {2, 1}}, 
Position = {0, 0, 0}, 
ShapeName = "pl_12"}}})

--////////////////////////////////////////////pl15///////////////////////////
PL_15_AA = {category = CAT_AIR_TO_AIR,
name = "PL_15", 
user_name = _("PL15"), 
wsTypeOfWeapon = {4, 4, 7, WSTYPE_PLACEHOLDER}, 
Escort = 0, 
Head_Type = 2, 
sigma = {5, 5, 5}, 
M = 100, 
H_max = 35000, 
H_min = -1, 
Diam = 303, 
Cx_pil = 2.5, 
D_max = 140000, 
D_min = 700, 
Head_Form = 1, 
Life_Time = 240, 
Nr_max = 40, 
v_min = 140, 
v_mid = 1000, 
Mach_max = 7, 
t_b = 0, 
t_acc = 7, 
t_marsh = 38,
Range_max = 150000,
H_min_t = 3, 
Fi_start = 0.5, 
Fi_rak = 3.14152, 
Fi_excort = 1.05, 
Fi_search = 1.05, 
OmViz_max = 1.52, 
warhead = enhanced_a2a_warhead(88), 
exhaust = {1, 1, 1, 0.3}, 
X_back = -1.74, 
Y_back = -0.11, 
Z_back = 0, 
Reflection = 0.0329, 
KillDistance = 15, 
shape_table_data = {
{name = "PL_15", 
file = "pl_15", 
life = 1, 
fire = {0, 1}, 
username = "PL_15", 
index = WSTYPE_PLACEHOLDER}}, 
loft = 1, 
hoj = 1, 
ccm_k0 = 0.05, 
rad_correction = 1, 
PN_coeffs = {3, 5000, 1, 15000, 0.4, 30000, 0.2}, 
supersonic_A_coef_skew = 0.25, 
nozzle_exit_area = 0.007238, 
ModelData = {        58 ,  -- model params count
        0.9 ,   -- characteristic square (характеристическая площадь)

        -- параметры зависимости Сx
        0.012 , -- планка Сx0 на дозвуке ( M << 1) cx_k0
        0.042 , -- высота пика волнового кризиса cx_k1
        0.012 , -- крутизна фронта на подходе к волновому кризису cx_k2
        0.003 , -- планка Cx0 на сверхзвуке ( M >> 1) cx_k3
        1.20  , -- крутизна спада за волновым кризисом cx_k4
        1.50  , -- коэффициент отвала поляры

        -- параметры зависимости Cy
        2.0 , -- планка Сy0 на дозвуке ( M << 1)
        1.0    , -- планка Cy0 на сверхзвуке ( M >> 1)
        1.5 , -- крутизна спада(фронта) за волновым кризисом

        0.29 , -- 7 Alfa_max  максимальный балансировачный угол, радианы
        0.00, --угловая скорость создаваймая моментом газовых рулей

        --    t_statr   t_b      t_accel  t_march   t_inertial   t_break  t_end
        -1.0,   -1.0,       6.5,     95.0,      0.0,          0.0,      1.0e9,           -- time interval
         0.0,    0.0,      10.0,     0.5,      0.0,          0.0,        0.0,           -- fuel flow rate in second kg/sec(секундный расход массы топлива кг/сек)
         0.0,    0.0,   19500.0,  7000.0,      0.0,          0.0,        0.0,           -- thrust

        1.0e9, -- таймер самоликвидации, сек  Self-destructive time, sec
        100.0, -- время работы энергосистемы, сек  Working time of power system, sec
        0, -- абсолютная высота самоликвидации, м  Absolute height of self-destruction, M
        0.1, -- время задержки включения управления (маневр отлета, безопасности), сек  Connection delay time (shunting departure, safety), sec
        140000, -- дальность до цели в момент пуска, при превышении которой ракета выполняется маневр 'горка', м
        141000, -- дальность до цели, при которой маневр 'горка' завершается и ракета переходит на чистую пропорциональную навигацию (должен быть больше или равен предыдущему параметру), м
        0.26,  -- синус угла возвышения траектории набора горки
        50.0, -- продольное ускорения взведения взрывателя  Longitudinal acceleration of fuze arming
        0.0, -- модуль скорости сообщаймый катапультным устройством, вышибным зарядом и тд
        1.19, -- характристика системы САУ-РАКЕТА,  коэф фильтра второго порядка K0
        1.0, -- характристика системы САУ-РАКЕТА,  коэф фильтра второго порядка K1
        2.0, -- характристика системы САУ-РАКЕТА,  полоса пропускания контура управления
        85200.0, -- дальность полета в горизонт с располагаемой перегрузкой Navail >= 1.0 на высоте H=2000
        3.92, -- крутизна зависимости  дальность полета в горизонт с располагаемой перегрузкой Navail >= 1.0 от высоты H
        3.2,
        0.75, -- безразмерный коэф. эффективности САУ ракеты
        70.0, -- расчет времени полета
        -- DLZ. Данные для рассчета дальностей пуска (индикация на прицеле)
        325000.0, -- дальность ракурс   180(навстречу) град,  Н=10000м, V=900км/ч, м
        188000.0, -- дальность ракурс 0(в догон) град,  Н=10000м, V=900км/ч
        153000.0, -- дальность ракурс     180(навстречу) град, Н=1000м, V=900км/ч
        0.2,
        0.6,
        1.4,
        -3.0,
        0.5,}}
declare_weapon(PL_15_AA)
PL_15_AA.shape_table_data.index = PL_15_AA.wsTypeOfWeapon[4]
declare_loadout({category = CAT_AIR_TO_AIR, 

CLSID = "{PL15}",
Picture = "PL15.png", 
attribute = PL_15_AA.wsTypeOfWeapon, 
displayName = _("PL15"),
Cx_pil = 0.001959765625, 
Count = 1, 
Weight = 180, 
Elements = {
[1] = {
DrawArgs = {
[1] = {1, 1}, 
[2] = {2, 1}}, 
Position = {0, 0, 0}, 
ShapeName = "pl_15"}}})


declare_loadout({category = CAT_PODS, CLSID = "{white-A}", Picture = "HVAR.png", displayName = _("white-A"), 
attribute = {4, 15, 50, WSTYPE_PLACEHOLDER}, 
Smoke = {alpha = 180, r = 255, g = 255, b = 255, dx =-1.85, dy = -0.}, 
shape_table_data = {
{name = "white-A", file = "blank", life = 1, 
fire = {0, 0}, username = "white-A", index = WSTYPE_PLACEHOLDER}}, Weight = 1, Count = 1, Cx_pil = 0.001313754, 
Elements = {
{ShapeName = "white-A", 
Position = {-0.1, 0, 0}, 
DrawArgs = {
[3] = {3, 0.1}}}}})


declare_loadout({category = CAT_PODS, CLSID = "{red-A}", Picture = "HVAR.png", displayName = _("red-A"), 
attribute = {4, 15, 50, WSTYPE_PLACEHOLDER}, 
Smoke = {alpha = 180, r = 237, g = 10, b = 44, dx =-1.85, dy = -0.}, 
shape_table_data = {
{name = "red-A", file = "blank", life = 1, 
fire = {0, 1}, username = "red-A", index = WSTYPE_PLACEHOLDER}}, Weight = 1, Count = 1, Cx_pil = 0.001313754, 
Elements = {
{ShapeName = "red-A", 
Position = {-0.1, 0, 0}, 
DrawArgs = {
[3] = {3, 0.1}}}}})


declare_loadout({category = CAT_PODS, CLSID = "{orange-A}", Picture = "HVAR.png", displayName = _("orange-A"), 
attribute = {4, 15, 50, WSTYPE_PLACEHOLDER}, 
Smoke = {alpha = 180, r = 237, g = 109, b = 0, dx =-1.85, dy = -0.}, 
shape_table_data = {
{name = "orange-A", file = "blank", life = 1, 
fire = {0, 1}, username = "orange-A", index = WSTYPE_PLACEHOLDER}}, Weight = 1, Count = 1, Cx_pil = 0.001313754, 
Elements = {
{ShapeName = "orange-A", 
Position = {-0.1, 0, 0}, 
DrawArgs = {
[3] = {3, 0.1}}}}})


declare_loadout({category = CAT_PODS, CLSID = "{yellow-A}", Picture = "HVAR.png", displayName = _("yellow-A"), 
attribute = {4, 15, 50, WSTYPE_PLACEHOLDER}, 
Smoke = {alpha = 180, r = 255, g = 255, b = 0, dx =-1.85, dy = -0.}, 
shape_table_data = {
{name = "yellow-A", file = "blank", life = 1, 
fire = {0, 1}, username = "yellow-A", index = WSTYPE_PLACEHOLDER}}, Weight = 1, Count = 1, Cx_pil = 0.001313754, 
Elements = {
{ShapeName = "yellow-A", 
Position = {-0.1, 0, 0}, 
DrawArgs = {
[3] = {3, 0.1}}}}})


declare_loadout({category = CAT_PODS, CLSID = "{green-A}", Picture = "HVAR.png", displayName = _("green-A"), 
attribute = {4, 15, 50, WSTYPE_PLACEHOLDER}, 
Smoke = {alpha = 180, r = 0, g = 172, b = 0, dx =-1.85, dy = -0.}, 
shape_table_data = {
{name = "green-A", file = "blank", life = 1, 
fire = {0, 1}, username = "green-A", index = WSTYPE_PLACEHOLDER}}, Weight = 1, Count = 1, Cx_pil = 0.001313754, 
Elements = {
{ShapeName = "green-A", 
Position = {-0.1, 0, 0}, 
DrawArgs = {
[3] = {3, 0.1}}}}})


declare_loadout({category = CAT_PODS, CLSID = "{blue-A}", Picture = "HVAR.png", displayName = _("blue-A"), 
attribute = {4, 15, 50, WSTYPE_PLACEHOLDER}, 
Smoke = {alpha = 180, r = 0, g = 128, b = 255, dx =-1.85, dy = -0.}, 
shape_table_data = {
{name = "blue-A", file = "blank", life = 1, 
fire = {0, 1}, username = "blue-A", index = WSTYPE_PLACEHOLDER}}, Weight = 1, Count = 1, Cx_pil = 0.001313754, 
Elements = {
{ShapeName = "blue-A", 
Position = {-0.1, 0, 0}, 
DrawArgs = {
[3] = {3, 0.1}}}}})
declare_loadout({category = CAT_PODS, CLSID = "{purple-A}", Picture = "HVAR.png", displayName = _("purple-A"), 
attribute = {4, 15, 50, WSTYPE_PLACEHOLDER}, 
Smoke = {alpha = 180, r = 56, g = 61, b = 200, dx =-1.85, dy = -0.}, 
shape_table_data = {
{name = "purple-A", file = "blank", life = 1, 
fire = {0, 1}, username = "purple-A", index = WSTYPE_PLACEHOLDER}}, Weight = 1, Count = 1, Cx_pil = 0.001313754, 
Elements = {
{ShapeName = "purple-A", 
Position = {-0.1, 0, 0}, 
DrawArgs = {
[3] = {3, 0.1}}}}})


declare_loadout({category = CAT_PODS, CLSID = "{pink-A}", Picture = "HVAR.png", displayName = _("pink-A"), 
attribute = {4, 15, 50, WSTYPE_PLACEHOLDER}, 
Smoke = {alpha = 180, r = 255, g = 0, b = 255, dx =-1.85, dy = -0.}, 
shape_table_data = {
{name = "pink-A", file = "blank", life = 1, 
fire = {0, 1}, username = "pink-A", index = WSTYPE_PLACEHOLDER}}, Weight = 1, Count = 1, Cx_pil = 0.001313754, 
Elements = {
{ShapeName = "pink-A", 
Position = {-0.1, 0, 0}, 
DrawArgs = {
[3] = {3, 0.1}}}}})